Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class AlreadyBoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.rmi.AlreadyBoundException

All Implemented Interfaces:
  Serializable

public class AlreadyBoundException
extends Exception

An `AlreadyBoundException` is thrown if an attempt is made to bind an object in the registry to a name that already has an associated binding.

Since:
  JDK1.1
See Also:
  `Naming.bind(String, java.rmi.Remote)`, `Registry.bind(String, java.rmi.Remote)`, Serialized Form

Constructor Summary
`AlreadyBoundException()` Constructs an `AlreadyBoundException` with no specified detail message.
`AlreadyBoundException(String s)` Constructs an `AlreadyBoundException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlreadyBoundException

    public AlreadyBoundException()

  Constructs an `AlreadyBoundException` with no specified detail message.

Since:
  JDK1.1

### AlreadyBoundException

    public AlreadyBoundException(String s)

  Constructs an `AlreadyBoundException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.